package com.fjhx.service.check;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.check.CheckDetail;
import com.fjhx.params.check.CheckDetailVo;
import com.fjhx.base.StorageBaseService;

import java.util.Map;

/**
 * <p>
 * 盘点明细 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-03
 */
public interface CheckDetailService extends StorageBaseService<CheckDetail> {

    Page<CheckDetail> getPage(Map<String, String> condition);

    void add(CheckDetailVo checkDetailVo);

    void edit(CheckDetailVo checkDetailVo);

    void delete(CheckDetailVo checkDetailVo);

}
